"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _fs = _interopRequireDefault(require("fs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _default = {
  /**
   * ovveride the default config
   */
  updateConfigFile: function updateConfigFile(config) {
    var content = JSON.stringify(config, null, 2);

    _fs["default"].writeFileSync("".concat(__dirname, "/config.json"), content, 'utf8');
  },

  /**
   * get the config json as js object
   */
  getConfigFile: function getConfigFile() {
    var config = _fs["default"].readFileSync("".concat(__dirname, "/config.json"), 'utf8');

    return JSON.parse(config);
  }
};
exports["default"] = _default;